Bug 208004 - Review Request: perl-Test-Perl-Critic - Use Perl::Critic in test programs
Review Request: perl-Test-Perl-Critic - Use Perl::Critic in test programs
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-09-25 15:43 EDT by Jose Pedro Oliveira
Modified: 2010-07-26 18:25 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-26 16:49:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Jose Pedro Oliveira 2006-09-25 15:43:42 EDT
Spec URL:
ftp://perl.di.uminho.pt/pub/fedora/perl-Test-Perl-Critic.spec
SRPM URL:
ftp://perl.di.uminho.pt/pub/fedora/perl-Test-Perl-Critic-0.07-1.src.rpm

Description:
Test::Perl::Critic wraps the Perl::Critic engine in a convenient
subroutine suitable for test programs written using the Test::More
framework. This makes it easy to integrate coding-standards enforcement
into the build process. For ultimate convenience (at the expense of some
flexibility), see the criticism pragma.
Comment 1 Jason Tibbitts 2006-09-25 21:02:57 EDT
* source files match upstream:
   91c1dc234b4c6ec1f06300085f0559cf  Test-Perl-Critic-0.07.tar.gz
* package meets naming and packaging guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* dist tag is present.
* build root is correct.
* license field matches the actual license.
* license is open source-compatible.  License text included in package.
* latest version is being packaged.
* BuildRequires are proper.
* %clean is present.
* package builds in mock (development, x86_64).
* package installs properly
* rpmlint is silent.
* final provides and requires are sane:
   perl(Test::Perl::Critic) = 0.07
   perl-Test-Perl-Critic = 0.07-1.fc6
  =
   perl(:MODULE_COMPAT_5.8.8)
   perl(Carp)
   perl(English)
   perl(File::Spec)
   perl(Perl::Critic)
   perl(Perl::Critic::Utils)
   perl(Test::Builder)
   perl(strict)
   perl(warnings)
* %check is present and all tests pass:
   All tests successful.
   Files=7, Tests=14,  3 wallclock secs ( 3.09 cusr +  0.39 csys =  3.48 CPU)
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* no scriptlets present.
* code, not content.
* documentation is small, so no -docs subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.

APPROVED
Comment 2 Jose Pedro Oliveira 2006-09-26 16:49:32 EDT
Thanks for the review.

Imported and built for FC-5 and devel.

jpo
Comment 3 Mark Chappell 2010-07-26 03:24:37 EDT
Package Change Request
======================
Package Name: perl-Test-Perl-Critic
New Branches: EL-6
Owners: tremble rmyers

See https://bugzilla.redhat.com/show_bug.cgi?id=617789
Comment 4 Kevin Fenzi 2010-07-26 18:25:09 EDT
CVS done (by process-cvs-requests.py).

Note You need to log in before you can comment on or make changes to this bug.